
Redmine - Defect #23751

Tab buttons appear on pages that have no tabs

2016-09-02 12:41 - Edouard Cunibil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version: 3.3.0

Description

The JS condition that's supposed to hide the tab buttons checks if the first LI element is visible or not.

If there is no LI element, the tab buttons are always shown.

file: public/javascripts/application.js

line: 383

replace:

if ((tabsWidth < el.width() - bw) && (lis.first().is(':visible'))) {

 by:

if ((tabsWidth < el.width() - bw) && (lis.length === 0 || lis.first().is(':visible'))) {

 In case it helps, here is my environemt:

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.1

  redmine_backlogs               v1.0.6

  redmine_checklists             3.1.3

 Sorry not provinding a patch but I'm a Git guy so I don't have anything related to SVN installed on my system.

Associated revisions

Revision 15853 - 2016-10-01 10:55 - Jean-Philippe Lang

Tab buttons appear on pages that have no tabs (#23751).

Patch by Edouard Cunibil.

Revision 15854 - 2016-10-01 10:57 - Jean-Philippe Lang

Merged r15853 (#23751).

History

#1 - 2016-09-02 12:58 - Marius BĂLTEANU

E C wrote:

2025-05-12 1/2



Sorry not provinding a patch but I'm a Git guy so I don't have anything related to SVN installed on my system.

 You don't need SVN to generate a patch. Check How_to_create_patch_series_on_Mercurial_and_Git or use the command git diff > path_to_patch

#2 - 2016-09-02 13:30 - Edouard Cunibil

- File fix-tabs.diff added

Thank you for the pointer. You might add it on the Submissions wiki page.

Here is the patch.

#3 - 2016-09-04 05:37 - Go MAEDA

- File 23751.jpg added

- Target version set to 3.3.1

I confirmed this issue by removing all li elements in div#main-menu ul.

 23751.jpg 

#4 - 2016-10-01 10:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

Files

fix-tabs.diff 934 Bytes 2016-09-02 Edouard Cunibil

23751.jpg 158 KB 2016-09-04 Go MAEDA
